NMOJSBridge = {};

function NMOJSBridgeCommon() {

    if (NMOJSBridgeCommon._init == undefined) {
        NMOJSBridgeCommon.prototype.onCopiedCallback = null;

        NMOJSBridgeCommon.prototype.setCopyStatus = function (isSuccess) {
            NMOJSBridgeCommon.prototype.onCopiedCallback(isSuccess);
        };

        NMOJSBridgeCommon.prototype.getConfig = function (callback) {
            callback.success(sdk_config_template);
        };

        NMOJSBridgeCommon.prototype.toast = function (msg) {

            alert(JSON.stringify({
                "method": "toast",
                "arg1": msg
            }));
        };

        NMOJSBridgeCommon.prototype.alert = function (msg) {

            alert(JSON.stringify({
                "method": "alert",
                "arg1": msg
            }));
        };

        //getSDKToken

        NMOJSBridgeCommon.prototype.saveToClipboard = function (content, callback) {
            NMOJSBridgeCommon.prototype.onCopiedCallback = callback;
            alert(JSON.stringify({
                "method": "saveToClipboard",
                "arg1": content
            }));
        };

        NMOJSBridgeCommon.prototype.onUserLogin = function (user) {

            alert(JSON.stringify({
                "method": "onUserLogin",
                "arg1": user
            }));
        };

        NMOJSBridgeCommon.prototype.closeWindow = function () {

            alert(JSON.stringify({
                "method": "closeWindow"
            }));
        };

        NMOJSBridgeCommon.prototype.onError = function (data) {

            alert(JSON.stringify({
                "method": "onError",
                "arg1": data
            }));
        };

        NMOJSBridgeCommon.prototype.onReady = function (code) {

            alert(JSON.stringify({
                "method": "onReady"
            }));
        };

        NMOJSBridgeCommon._init = 1;
    }
};
NMOJSBridge.Common = new NMOJSBridgeCommon();

var NMOJSBridgeReadyEvent = document.createEvent('Events');
NMOJSBridgeReadyEvent.initEvent("NMOJSBridgeReady", true, true);
document.dispatchEvent(NMOJSBridgeReadyEvent);